Paytrie Developer Documentation
API ReferenceWebhook

Get the current webhook configuration

GET
/webhook-configurations

Returns the URL Paytrie delivers v2 webhook envelopes to for this integrator. Returns 404 if no configuration exists.

Authorization

ApiKeyAuth
x-api-key<token>

API key for integrator authentication

In: header

Header Parameters

x-api-key*string

API key for authentication

Response Body

application/json

application/json

import { PaytrieAPI, configure } from '@paytrie/sdk'configure({ headers: { 'x-api-key': process.env.PAYTRIE_API_KEY! } })const { data } = await PaytrieAPI.getWebhookConfiguration()
{  "success": true,  "data": {    "url": "https://partner.example.com/webhooks",    "createdAt": "2026-05-19T20:41:09.000Z",    "updatedAt": "2026-05-19T20:41:09.000Z"  }}
{  "success": false,  "errors": [    {      "field": "string",      "message": "string"    }  ]}